# Uses of Interface
org.eclipse.compare.structuremergeviewer.ICompareInput

Packages that use ICompareInput
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.contentmergeviewer
Support for compare and merge viewers which show the content side-by-side.
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.ltk.ui.refactoring.model
Application programming interface to provide model integration for refactoring histories.
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.team.ui.history
Application programming interfaces for working with history.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of ICompareInput in org.eclipse.compare

Methods in org.eclipse.compare with parameters of type ICompareInput
Modifier and Type
Method
Description
`void`
CompareEditorInput.`addCompareInputChangeListener(ICompareInput input, ICompareInputChangeListener listener)`
`void`
ICompareContainer.`addCompareInputChangeListener(ICompareInput input, ICompareInputChangeListener listener)`
Register for change events for the given compare input.
`Viewer`
CompareEditorInput.`findContentViewer(Viewer oldViewer, ICompareInput input, Composite parent)`
Implements the dynamic viewer switching for content viewers.
`static Viewer`
CompareUI.`findContentViewer(Viewer oldViewer, ICompareInput input, Composite parent, CompareConfiguration configuration)`
Returns a content compare viewer based on an old viewer and an input object.
`Viewer`
CompareEditorInput.`findStructureViewer(Viewer oldViewer, ICompareInput input, Composite parent)`
Implements the dynamic viewer switching for structure viewers.
`static Viewer`
CompareUI.`findStructureViewer(Viewer oldViewer, ICompareInput input, Composite parent, CompareConfiguration configuration)`
Returns a structure compare viewer based on an old viewer and an input object.
`void`
CompareEditorInput.`removeCompareInputChangeListener(ICompareInput input, ICompareInputChangeListener listener)`
`void`
ICompareContainer.`removeCompareInputChangeListener(ICompareInput input, ICompareInputChangeListener listener)`
Remove the change listener from the given compare input.
`void`
CompareConfiguration.`setLabelProvider(ICompareInput input, ICompareInputLabelProvider labelProvider)`
Set the label provider for the given compare input.

## Uses of ICompareInput in org.eclipse.compare.contentmergeviewer

Methods in org.eclipse.compare.contentmergeviewer with parameters of type ICompareInput
Modifier and Type
Method
Description
`protected int`
TextMergeViewer.`findInsertionPosition(char type, ICompareInput input)`

## Uses of ICompareInput in org.eclipse.compare.structuremergeviewer

Classes in org.eclipse.compare.structuremergeviewer that implement ICompareInput
Modifier and Type
Class
Description
`class`
`DiffNode`
Diff node are used as the compare result of the differencing engine.
Methods in org.eclipse.compare.structuremergeviewer with parameters of type ICompareInput
Modifier and Type
Method
Description
`void`
ICompareInputChangeListener.`compareInputChanged(ICompareInput source)`
Called whenever the value (not the content) of one or more of the three sides of a `ICompareInput` has changed.
`protected void`
StructureDiffViewer.`compareInputChanged(ICompareInput input)`
Recreates the comparable structures for the input sides.
`protected void`
DiffTreeViewer.`copyOne(ICompareInput node, boolean leftToRight)`
Called to copy one side of the given node to the other.

## Uses of ICompareInput in org.eclipse.ltk.ui.refactoring.model

Methods in org.eclipse.ltk.ui.refactoring.model that return ICompareInput
Modifier and Type
Method
Description
`ICompareInput`
AbstractSynchronizationCompareAdapter.`asCompareInput(ISynchronizationContext context, Object element)`

## Uses of ICompareInput in org.eclipse.team.ui

Methods in org.eclipse.team.ui that return ICompareInput
Modifier and Type
Method
Description
`protected ICompareInput`
PageCompareEditorInput.`asCompareInput(ISelection selection)`
Return a compare input that represents the selection.
`protected ICompareInput`
PageSaveablePart.`getCompareInput(ISelection selection)`
Deprecated.
Return a compare input that represents the selection.
Methods in org.eclipse.team.ui with parameters of type ICompareInput
Modifier and Type
Method
Description
`protected final void`
PageCompareEditorInput.`prepareCompareInput(ICompareInput input)`
Convenience method that calls `PageCompareEditorInput.prepareInput(ICompareInput, CompareConfiguration, IProgressMonitor)` with a progress monitor.
`protected void`
PageSaveablePart.`prepareCompareInput(ICompareInput input)`
Deprecated.
Convenience method that calls `PageSaveablePart.prepareInput(ICompareInput, CompareConfiguration, IProgressMonitor)` with a progress monitor.
`protected abstract void`
PageCompareEditorInput.`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
Prepare the compare input for display in a content viewer.
`protected abstract void`
PageSaveablePart.`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
Deprecated.
Prepare the compare input for display in a content viewer.

## Uses of ICompareInput in org.eclipse.team.ui.history

Methods in org.eclipse.team.ui.history that return ICompareInput
Modifier and Type
Method
Description
`protected ICompareInput`
HistoryPageCompareEditorInput.`asCompareInput(ISelection selection)`
`protected ICompareInput`
HistoryPageSaveablePart.`getCompareInput(ISelection selection)`
Deprecated.
`ICompareInput`
IHistoryCompareAdapter.`getCompareInput(Object object)`
Returns an ICompareInput for the passed in object.
Methods in org.eclipse.team.ui.history with parameters of type ICompareInput
Modifier and Type
Method
Description
`protected void`
HistoryPageCompareEditorInput.`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
`protected void`
HistoryPageSaveablePart.`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
Deprecated.
`void`
IHistoryCompareAdapter.`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
Prepare the compare input for display.

## Uses of ICompareInput in org.eclipse.team.ui.mapping

Subinterfaces of ICompareInput in org.eclipse.team.ui.mapping
Modifier and Type
Interface
Description
`interface`
`ISynchronizationCompareInput`
This interface defines extensions to the `ICompareInput` interface that are used for compare inputs that are returned from the `ISynchronizationCompareAdapter.asCompareInput(org.eclipse.team.core.mapping.ISynchronizationContext, Object)` method.
Methods in org.eclipse.team.ui.mapping that return ICompareInput
Modifier and Type
Method
Description
`ICompareInput`
ISynchronizationCompareAdapter.`asCompareInput(ISynchronizationContext context, Object o)`
Return a compare input for the given model object.
`ICompareInput`
SynchronizationCompareAdapter.`asCompareInput(ISynchronizationContext context, Object o)`
Default implementation that is capable of returning a compare input for objects that adapt to `IFile`.

## Uses of ICompareInput in org.eclipse.team.ui.synchronize

Subinterfaces of ICompareInput in org.eclipse.team.ui.synchronize
Modifier and Type
Interface
Description
`interface`
`ISynchronizeModelElement`
These are elements created to display synchronization state to the user.
Methods in org.eclipse.team.ui.synchronize that return ICompareInput
Modifier and Type
Method
Description
`ICompareInput`
ModelSynchronizeParticipant.`asCompareInput(Object object)`
Return a compare input for the given model object or `null` if the object is not eligible for comparison.
`protected ICompareInput`
ParticipantPageCompareEditorInput.`asCompareInput(ISelection selection)`
`protected ICompareInput`
ParticipantPageSaveablePart.`getCompareInput(ISelection selection)`
Deprecated.
Return a compare input that represents the selection.
`protected final ICompareInput`
SaveableCompareEditorInput.`getCompareInput()`
Returns the compare input of this editor input.
`protected abstract ICompareInput`
SaveableCompareEditorInput.`prepareCompareInput(IProgressMonitor monitor)`
Method called from `SaveableCompareEditorInput.prepareInput(IProgressMonitor)` to obtain the input.
`protected ICompareInput`
SyncInfoCompareInput.`prepareCompareInput(IProgressMonitor monitor)`
Methods in org.eclipse.team.ui.synchronize with parameters of type ICompareInput
Modifier and Type
Method
Description
`void`
SaveableCompareEditorInput.`addCompareInputChangeListener(ICompareInput input, ICompareInputChangeListener listener)`
`Viewer`
SaveableCompareEditorInput.`findContentViewer(Viewer oldViewer, ICompareInput input, Composite parent)`
`protected void`
ParticipantPageCompareEditorInput.`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
`protected void`
ParticipantPageSaveablePart.`prepareInput(ICompareInput input, CompareConfiguration configuration, IProgressMonitor monitor)`
Deprecated.
Prepare the compare input for display in a content viewer.
`void`
SaveableCompareEditorInput.`removeCompareInputChangeListener(ICompareInput input, ICompareInputChangeListener listener)`